#!/usr/bin/env python3
from math import gcd, ceil
from fractions import Fraction

n, k = map(int, input().split())
a = list(map(int, input().split()))

if k == 0:
    target = gcd(*a)
    print(sum(v // target for v in a) - n)
    exit(0)

splits = [1] * n
min_l = Fraction(a[0], 1)
while True:
    change = False
    # Increase split for everything with l > min_l * (1 + k/100)
    for i in range(n):
        l = Fraction(a[i], splits[i])
        if 100 * l > min_l * (100 + k):
            splits[i] = ceil(100 * a[i] / (min_l * (100 + k)))
            l = Fraction(a[i], splits[i])
        if l < min_l:
            min_l = l
            change = True

    if not change:
        break
print(sum(splits) - n)
