#include <algorithm>
#include <cassert>
#include <iostream>
#include <numeric>
#include <vector>
using namespace std;

struct Info {
    long long num;
    long long den;
    int add;

    Info(long long num_, long long den_, int add_) {
        num = num_;
        den = den_;
        add = add_;
    }

    bool operator<(const Info& rhs) const {
        // if num / den == rhs.num / rhs.den
        if (num * rhs.den == rhs.num * den) {
            return add > rhs.add;
        }
        return num * rhs.den > rhs.num * den;
    }
};

long long ceildiv(long long x, long long y) {
    return (x + y - 1) / y;
}

int main() {
    int n, k;
    cin >> n >> k;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    if (k == 0) {
        int g = a[0];
        for (int i = 0; i < n; i++) {
            g = std::gcd(g, a[i]);
        }
        long long ans = 0;
        for (int i = 0; i < n; i++) {
            ans += a[i] / g - 1;
        }
        cout << ans << '\n';
        return 0;
    }
    vector<Info> f;
    for (int i = 0; i < n; i++) {
        for (int t = 0;; t++) {
            f.emplace_back(a[i], t + 1, +1);
            // if a[i] / ((t + 1) * (1 + k / 100)) <= a[i] / (t + 2)
            if ((t + 1) * k >= 100) {
                break;
            }
            f.emplace_back(a[i] * 100LL, (t + 1) * (100 + k), -1);
        }
    }
    long long num, den;
    sort(f.begin(), f.end());
    int count = 0;
    for (auto i : f) {
        count += i.add;
        if (count == n) {
            num = i.num;
            den = i.den;
            break;
        }
    }
    long long ans = 0;
    for (int i = 0; i < n; i++) {
        // num / den <= a[i] / (t + 1) <= (num / den) * (1 + k / 100)
        // a[i] / (num / den) / (1 + k / 100) - 1 <= t
        long long t = ceildiv(a[i] * den * 100LL, num * (100LL + k)) - 1;
        assert((t + 1) * num <= a[i] * den);
        ans += t;
    }
    cout << ans << '\n';
    return 0;
}
