#!/usr/bin/env python3
from sys import stdin
from functools import reduce
from math import gcd
from heapq import heapify, heappop, heappush

def ceildiv(x, y):
    return (x + y - 1) // y

def main():
    n, k = map(int, stdin.readline().split())
    a = list(map(int, stdin.readline().split()))

    if k == 0:
        g = reduce(gcd, a)
        print(sum(x // g for x in a) - n)
        return

    s = [1 for i in range(n)]

    h = [(-a[i], i) for i in range(n)]
    heapify(h)

    count = 0
    while True:
        _, i = heappop(h)
        if i < n:
            count += 1
            if s[i] * k < 100:
                heappush(h, (-(a[i] * 100) / (s[i] * (100 + k)), i + n))
        else:
            count -= 1
            s[i - n] += 1
            heappush(h, (-a[i - n] / s[i - n], i - n))

        if count == n:
            num = a[i]
            den = s[i]
            break

    print(sum(ceildiv(x * den * 100, num * (100 + k)) for x in a) - n)

if __name__ == "__main__":
    main()
