#!/usr/bin/env python3
# @EXPECTED_RESULTS@: ACCEPTED, TIME_LIMIT_EXCEEDED
# Uses cmp_to_key, which is known to be slow.
# It would be nice if it passes, but it should not be used to determine the time limit.

import functools

def gcd(a, b):
	if b == 0:
		return a
	return gcd(b, a % b)

def event_compare(o1, o2):
	(num1, den1, t1, id1) = o1
	(num2, den2, t2, id2) = o2
	if num1 * den2 == num2 * den1:
		return t2 - t1
	return num2 * den1 - num1 * den2

n, k = [int(x) for x in input().strip().split(" ")]
a = [int(x) for x in input().strip().split(" ")]

if k == 0:
	g = a[0]
	[(g := gcd(g, x)) for x in a]
	ans = 0
	[(ans := ans + x // g - 1) for x in a]
	print(ans)
	exit(0)

events = []
for i in range(0, len(a)):
	for C in range(1, 101):
		if k * C < 100:
			events.append((a[i], C, 1, i))
			events.append((a[i] * 100, (100 + k) * C, -1, i))
		else:
			events.append((a[i], C, 1, i))
			break

events = sorted(events, key=functools.cmp_to_key(event_compare))

total = 0
num = -1
den = -1
for e in events:
	(num_, den_, t, i) = e
	total += t
	if total == n:
		num, den = num_, den_
		break

ans = -n
for x in a:
	ans += max((x * den_ * 100 + (num_ * (100 + k) - 1)) // (num_ * (100 + k)), 1)

print(ans)
